Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 630276 - Review Request: ghc-clientsession - Store session data in a cookie
Summary: Review Request: ghc-clientsession - Store session data in a cookie
Keywords:
Status: CLOSED DUPLICATE of bug 1497030
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: notready needs skein and cprng-aes
Depends On: ghc-crypto-api 1329834 1485495 1495468
Blocks: 630303 925993 985082
TreeView+ depends on / blocked
 
Reported: 2010-09-04 15:42 UTC by Ben Boeckel
Modified: 2017-09-29 03:24 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-29 03:24:02 UTC


Attachments (Terms of Use)

Description Ben Boeckel 2010-09-04 15:42:32 UTC
Spec URL: http://benboeckel.net/packaging/ghc-clientsession/ghc-clientsession.spec
SRPM URL: http://benboeckel.net/packaging/ghc-clientsession/ghc-clientsession-0.4.0.2-1.fc14.src.rpm
Description:
Achieves security through AES encryption and MD5 hashing.
Uses base64 encoding to avoid any issues with characters.

% lintmock fedora-14-x86_64-bb
ghc-clientsession.src: W: strange-permission clientsession-0.4.0.2.tar.gz 0640L
ghc-clientsession.src: W: strange-permission ghc-clientsession.spec 0640L
ghc-clientsession-prof.x86_64: E: devel-dependency ghc-clientsession-devel
ghc-clientsession-prof.x86_64: W: no-documentation
ghc-clientsession-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/clientsession-0.4.0.2/libHSclientsession-0.4.0.2_p.a
4 packages and 0 specfiles checked; 1 errors, 4 warnings.

Comment 1 Ben Boeckel 2010-10-31 16:31:49 UTC
Spec URL: http://benboeckel.net/packaging/ghc-clientsession/ghc-clientsession.spec
SRPM URL: http://benboeckel.net/packaging/ghc-clientsession/ghc-clientsession-0.4.0.3-1.fc14.src.rpm

% lintmock fedora-14-x86_64-bb
ghc-clientsession.src: W: strange-permission ghc-clientsession.spec 0640L
ghc-clientsession.src: W: strange-permission clientsession-0.4.0.3.tar.gz 0640L
ghc-clientsession-prof.x86_64: E: devel-dependency ghc-clientsession-devel
ghc-clientsession-prof.x86_64: W: no-documentation
ghc-clientsession-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/clientsession-0.4.0.3/libHSclientsession-0.4.0.3_p.a
4 packages and 0 specfiles checked; 1 errors, 4 warnings.

Comment 2 Jens Petersen 2011-03-07 08:21:33 UTC
yesod >= 0.7 no longer depends on clientsession (directly at least).

Comment 3 Jens Petersen 2011-03-07 09:18:37 UTC
(In reply to comment #2)
> yesod >= 0.7 no longer depends on clientsession (directly at least).

Ignore that: yesod-core needs it.

Comment 4 Jens Petersen 2012-05-15 10:00:04 UTC
Also needed by snap.

Comment 5 Jens Petersen 2013-03-23 05:10:12 UTC
Also needs cprng-aes and skein.

Comment 6 Jens Petersen 2013-06-24 10:24:52 UTC
Closing out old Haskell Package Reviews that use deprecated macros
like %ghc_devel_package, etc, which are no longer available in F20 Rawhide.  Please update your package using cabal-rpm-0.8.x or later and re-open
or file a new Review Request.  Thanks!

Comment 7 Jens Petersen 2013-09-03 05:42:03 UTC
Reopening this for now since it is needed by yesod-core.
Though another RR bug might replace this later possibly.

Comment 9 Elliott Sales de Andrade 2017-08-24 02:33:05 UTC
Spec is 404; also an outdated version.

Comment 10 Elliott Sales de Andrade 2017-09-29 03:24:02 UTC
Closing in favour of new review.

*** This bug has been marked as a duplicate of bug 1497030 ***


Note You need to log in before you can comment on or make changes to this bug.